## org.gnome.OnlineAccounts.OAuth2Based org.gnome.OnlineAccounts.OAuth2Based |

## Methods

    GetAccessToken (OUT s access_token,
                    OUT i expires_in);

## Properties

    ClientId      readable   s
    ClientSecret  readable   s

## Description

An account object implements this interface if OAuth 2.0 tokens are used for accessing it.

## Method Details

### The GetAccessToken() method

    GetAccessToken (OUT s access_token,
                    OUT i expires_in);

Use this method to obtain an access token that can be used to access services for the account. Because networking is involved, this method may take a very long time to complete.

Note that calls to this method are logged.

`OUT s `access_token``: | The access token.
`OUT i `expires_in``: | The duration that the returned token is valid for, in seconds, or 0 if unknown.

## Property Details

### The "ClientId" property

    ClientId  readable   s

The client id.

### The "ClientSecret" property

    ClientSecret  readable   s

The client secret.